org.gradle.api.artifacts.cache

## Interface ResolutionRules

-     @Incubating
      public interface ResolutionRules

  Represents a set of rules/actions that can be applied during dependency resolution. Currently these are restricted to controlling caching, but these could possibly be extended in the future to include other manipulations.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `eachArtifact(Action<? super ArtifactResolutionControl> rule)` Apply a rule to control resolution of artifacts.
    `void` | `eachDependency(Action<? super DependencyResolutionControl> rule)` Apply a rule to control resolution of dependencies.
    `void` | `eachModule(Action<? super ModuleResolutionControl> rule)` Apply a rule to control resolution of modules.

- - ### Method Detail

    - #### eachDependency

          void eachDependency(Action<? super DependencyResolutionControl> rule)

      Apply a rule to control resolution of dependencies.
      Parameters:
        `rule` - the rule to apply

    - #### eachModule

          void eachModule(Action<? super ModuleResolutionControl> rule)

      Apply a rule to control resolution of modules.
      Parameters:
        `rule` - the rule to apply

    - #### eachArtifact

          void eachArtifact(Action<? super ArtifactResolutionControl> rule)

      Apply a rule to control resolution of artifacts.
      Parameters:
        `rule` - the rule to apply